MULTIDELTA(1)

NAME
multidelta - heuristic minimizer of interesting files

SYNOPSIS
multidelta [options] test-script initial-file [initial-file...]

DESCRIPTION
Delta assists you in minimizing "interesting" files subject to a test of their interestingness. A common such situation is when attempting to isolate a small failure-inducing substring of a large input that causes your program to exhibit a bug.

You supply multidelta with

•   a test shell script which decides if the input files are "interesting" (test-script) and

•   an initial set of input files.

When the script is run with a source file as an argument, it should do any single-file integrity checks on that file. Then, it should proceed to check the entire build, on the assumption that all other files have already passed their integrity checks.

When the script is run with no arguments, it should check integrity of all files and then check the build.

So that the script does not need to have the list of input files hard-coded in, the environment variable "multidelta_all_files" is always set to a space-separated list of the filenames no matter how the script is run.

OPTIONS

-level=n
    When topformflatten(1)ing, flatten to level n. The default is 0.

-u  Undo the last invocation, by copying the *.bak files onto the original copies.

-cpp
    Before flattening run the source through the cpp(1) preprocessor.

SEE ALSO
singledelta(1), topformflat(1)

Delta Debugging project <http://www.st.cs.uni-sb.de/dd/>